<template>

        <component v-bind:is="currentTabComponent">

        </component>
    
    
</template>

<script>
import moment from 'moment';
import { getAction, postAction, downFile, downFilePost } from '@/api/manage';
export default {
    name:'index',
    data() {
        return {
            currentTabComponent:'strategyList',
            currentStrategyId:'',
            currentPlanId:'',
            currentGroupId:'',
            userId:'',
            currentStrateg:{},
        }
    },
    components:{   
        strategyList: () => import('./strategyList'), 
        planList: () => import('./planList'), 
        groupList: () => import('./groupList'), 
        previewStrategy: () => import('./previewStrategy'), 
        
    },

    mounted(){
       this.currentTabComponent='strategyList' 
        let userInfo=localStorage.getItem('pro__Login_Userinfo');
        let userId=''
        if(userInfo){
            this.userId=JSON.parse(userInfo).value.id
        }
    },
    beforeDestroy() {
        this.currentTabComponent='strategyList' 
    },
   
}

</script>
